library("SplicingCompass2.1")
packageDescription("SplicingCompass2.1")

expInf=new("ExperimentInfo")
expInf=setDescription(expInf,"ControlVsO18")

expInf=setGroupInfo(expInf,
                    groupName1="control",sampleNumsGroup1=1:4,
                    groupName2="O18",sampleNumsGroup2=5:8)

covBedCountFilesControl=c(
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/bed_counted_hit_hf38/covBedCountedHits_sample_1.gff",
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/bed_counted_hit_hf38/covBedCountedHits_sample_2.gff",
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/bed_counted_hit_hf38/covBedCountedHits_sample_3.gff",
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/bed_counted_hit_hf38/covBedCountedHits_sample_4.gff")
covBedCountFilesO18=c(
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/bed_counted_hit_hf38/covBedCountedHits_sample_5.gff",
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/bed_counted_hit_hf38/covBedCountedHits_sample_6.gff",
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/bed_counted_hit_hf38/covBedCountedHits_sample_7.gff",
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/bed_counted_hit_hf38/covBedCountedHits_sample_8.gff")
expInf=setCovBedCountFiles(expInf,c(covBedCountFilesControl,covBedCountFilesO18))

junctionBedFilesControl=c(
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/SJ_bed_in_use/junctionsBed_sample_1.bed",
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/SJ_bed_in_use/junctionsBed_sample_2.bed",
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/SJ_bed_in_use/junctionsBed_sample_3.bed",
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/SJ_bed_in_use/junctionsBed_sample_4.bed")
junctionBedFilesO18=c(
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/SJ_bed_in_use/junctionsBed_sample_5.bed",
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/SJ_bed_in_use/junctionsBed_sample_6.bed",
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/SJ_bed_in_use/junctionsBed_sample_7.bed",
  "C:/Users/Aniko/Dropbox/Munka/PhD/results/abroad_semester/R/SplicingCompass/SJ_bed_in_use/junctionsBed_sample_8.bed")
expInf=setJunctionBedFiles(expInf,c(junctionBedFilesControl,junctionBedFilesO18))

expInf=setReferenceAnnotation(expInf,"hf38mergedTranscript.gtf")
referenceAnnotationFormat=list(IDFieldName="geneSymbol",idValSep=" ")
expInf=setReferenceAnnotationFormat(expInf,referenceAnnotationFormat)

checkExperimentInfo(expInf)

countTable=new("CountTable")
countTable=setExperimentInfo(countTable,expInf)
countTable=constructCountTable(countTable,nCores=1,printDotPerGene=TRUE)

